package com.gingersoft.gsa.cloud.manager.mvp.model.bean.request;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2020-05-15
 * 修订历史：2020-05-15
 * 描述：
 */
public class TableRequest {

    public static class Add {

        private int restaurantId;
        /**區域ID*/
        private int regionId;
        /**餐檯名*/
        private String tableName;
        /**默認就餐人數*/
        private Integer seatCount;
        /**最大就餐人數*/
        private Integer maxSeatCount;
        /**最小就餐人數*/
        private Integer minSeatCount;
        /**服務費*/
        private Double serviceCharge;
        /**排序*/
        private int sort;
        /**
         0#堂食
         1#外賣
         2#自取
         */
        private int type;

        public int getRestaurantId() {
            return restaurantId;
        }

        public void setRestaurantId(int restaurantId) {
            this.restaurantId = restaurantId;
        }

        public int getRegionId() {
            return regionId;
        }

        public void setRegionId(int regionId) {
            this.regionId = regionId;
        }

        public String getTableName() {
            return tableName;
        }

        public void setTableName(String tableName) {
            this.tableName = tableName;
        }

        public int getSeatCount() {
            return seatCount;
        }

        public void setSeatCount(int seatCount) {
            this.seatCount = seatCount;
        }

        public void setSeatCount(Integer seatCount) {
            this.seatCount = seatCount;
        }

        public Integer getMaxSeatCount() {
            return maxSeatCount;
        }

        public void setMaxSeatCount(Integer maxSeatCount) {
            this.maxSeatCount = maxSeatCount;
        }

        public Integer getMinSeatCount() {
            return minSeatCount;
        }

        public void setMinSeatCount(Integer minSeatCount) {
            this.minSeatCount = minSeatCount;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public Double getServiceCharge() {
            return serviceCharge;
        }

        public void setServiceCharge(Double serviceCharge) {
            this.serviceCharge = serviceCharge;
        }

        public int getSort() {
            return sort;
        }

        public void setSort(int sort) {
            this.sort = sort;
        }
    }

    public static class Update {

        private long  id;

        private int restaurantId;
        /**區域ID*/
        private int regionId;
        /**餐檯名*/
        private String tableName;
        /**默認就餐人數*/
        private Integer seatCount;
        /**最大就餐人數*/
        private Integer maxSeatCount;
        /**最小就餐人數*/
        private Integer minSeatCount;
        /**服務費*/
        private Double serviceCharge;
        /**排序*/
        private int sort;
        /**
         0:堂食
         1:外賣
         2:自取
         */
        private int type = -1;


        public long getId() {
            return id;
        }

        public void setId(long id) {
            this.id = id;
        }

        public int getRestaurantId() {
            return restaurantId;
        }

        public void setRestaurantId(int restaurantId) {
            this.restaurantId = restaurantId;
        }

        public int getRegionId() {
            return regionId;
        }

        public void setRegionId(int regionId) {
            this.regionId = regionId;
        }

        public String getTableName() {
            return tableName;
        }

        public void setTableName(String tableName) {
            this.tableName = tableName;
        }

        public int getSeatCount() {
            return seatCount;
        }

        public void setSeatCount(int seatCount) {
            this.seatCount = seatCount;
        }

        public void setSeatCount(Integer seatCount) {
            this.seatCount = seatCount;
        }

        public Integer getMaxSeatCount() {
            return maxSeatCount;
        }

        public void setMaxSeatCount(Integer maxSeatCount) {
            this.maxSeatCount = maxSeatCount;
        }

        public Integer getMinSeatCount() {
            return minSeatCount;
        }

        public void setMinSeatCount(Integer minSeatCount) {
            this.minSeatCount = minSeatCount;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public Double getServiceCharge() {
            return serviceCharge;
        }

        public void setServiceCharge(Double serviceCharge) {
            this.serviceCharge = serviceCharge;
        }

        public int getSort() {
            return sort;
        }

        public void setSort(int sort) {
            this.sort = sort;
        }
    }


    public static class UpdateServiceCharge {

        private long id;
        /**服務費*/
        private Double serviceCharge;

        public long getId() {
            return id;
        }

        public void setId(long id) {
            this.id = id;
        }

        public Double getServiceCharge() {
            return serviceCharge;
        }

        public void setServiceCharge(Double serviceCharge) {
            this.serviceCharge = serviceCharge;
        }
    }

}
